NEWFS_UDF(8)

NAME
newfs_udf - construct a new UDF file system

SYNOPSIS
newfs_udf [-cFM] [-B blockingsize] [-L loglabel] [-P discid] [-p percentage] [-S sectorsize] [-s size] [-t gmtoff] [-V max_udf] [-v min_udf] special

DESCRIPTION
The newfs_udf utility creates an UDF file system on device special suitable for the media currently inserted.

The options are as follow:

-B blockingsize
    When creating image files, specify the blocking size or packetsize of the media to blockingsize.

-c  Perform a crude surface check first to weed out disc faults on rewritable media.

-F  Force file system construction on non-empty recordable media or create an image file.

-L loglabel
    Set the disc logical label to the specified loglabel.

-M  Disable metadata partition creation when selected UDF version or media dictates this. For strict conformance and interchange, don't disable this unless its causing problems.

-P discid
    Set the physical disc label to the specified discid.

    Prepend discid with volsetname separated with a ':' if wanted. For strict conformance and interchange, don't set this manually unless it has a unique hex number in the first 8 character positions.

-p percentage
    Percentage of partition to be initially reserved for metadata on the Metadata partition. It defaults to 20 %.

-S sectorsize
    Set the sectorsize for image files. For strict conformance and interchange, don't set this manually.

-s size
    For image files, set the file size to the humanized size size.

-t gmtoff
    Use the specified gmtoff as gmt time offset for recording times on the disc.

-V max_udf
    Select max_udf as the maximum UDF version to be supported. For UDF version 2.50, use “0x250” or “2.50”.

-v min_udf
    Select min_udf as the minimum UDF version to be supported. For UDF version 2.01, use “0x201” or “2.01”.

NOTES
The UDF file system is defined for the entire optical medium. It can only function on the entire CD/DVD/BD so the raw partition has to be specified for read/write actions. For newfs_udf this means specifying the raw device with the raw partition, i.e. /dev/rcd0d or /dev/rcd0c.

Some rewritable optical media needs to be formatted first before it can be used by UDF. This can be done using mmcformat(8).

The default UDF version is version 2.01.

EXAMPLES
Create a file system, using the specified names on the device /dev/rcd0d with the default UDF version :

    newfs_udf -P "Encyclopedia:copy-nr-1" -L "volume 2" /dev/rcd0d

Create a 4.8 GiB sparse file and configure it using vnconfig(8) to be a 2048 sector size disc and create a new UDF file system on /dev/rvnd0d :

    dd if=/dev/zero of=bigdisk.2048.udf seek=9999999 count=1
    vnconfig -c vnd0 bigdisk.2048.udf 2048/1/1/1
    newfs_udf -L bigdisk /dev/rvnd0d

Create a 2 GiB file and create a new UDF file system on it using the default 512 byte sector size :

    newfs_udf -L bigdisk2 -F -s 2G bigdisk2.iso

Create a 200 MiB file and create a new UDF file system on it using a sector size of 2048 :

    newfs_udf -L bigdisk2 -F -s 200M -S 2048 bigdisk3.iso

Create a new UDF file system on the inserted USB stick using its native sectorsize of 512 :

    newfs_udf -L "My USB stick" /dev/rsd0d

SEE ALSO
disktab(5), disklabel(8), mmcformat(8), newfs(8)

HISTORY
The newfs_udf command first appeared in NetBSD 5.0.

AUTHORS
Reinoud Zandijk <reinoud@NetBSD.org>

BUGS
The P and the S arguments have changed meaning. The meaning of S has been merged into P since NetBSD 6.1.